.item {
    color: var(--black-80);
    padding: rem(14);
    border-radius: rem(4);
    background-color: white;
    border: 1px solid var(--gray-10);
    display: flex;
    flex-direction: column;

    &__title {
        font-weight: 600;
        color: var(--gray-80);
        font-size: rem(12);
        line-height: rem(16);
        margin-bottom: rem(14);

        a {
            color: var(--gray-80);
            text-decoration: none;

            &:hover {
                color: var(--gray-80);
                text-decoration: none;
            }
        }
    }

    &__heading {
        margin-bottom: rem(14);
        display: flex;
        column-gap: rem(16);
        align-items: center;
        justify-content: space-between;
    }

    &__article {
        color: var(--gray-50);
        white-space: nowrap;
        font-size: rem(13);
        line-height: rem(20);
    }

    &__availability {
        flex-grow: 1;
    }

    &__adding {
        display: flex;
        align-items: center;
        column-gap: rem(16);
    }

    &__footer {
        display: grid;
        grid-column-gap: rem(8);
        grid-template-columns: 1fr 1fr;
    }

    &__main {
        position: relative;
        flex-grow: 1;
        display: flex;
        column-gap: rem(8);
        margin-bottom: rem(14);
    }

    &__media {
        width: calc(50% - 4px);
        flex-shrink: 0;
        //display: flex;
        //justify-content: center;
        //flex-direction: column;

        .swiper {
            height: auto;
        }

        .swiper-slide {
            padding-bottom: rem(10);
        }

        .swiper-pagination {
            bottom: 0;
            column-gap: rem(6);
            opacity: 0;
            visibility: hidden;
            transition: .25s;
        }

        .swiper-pagination-bullet {
            width: rem(6);
            height: rem(6);
            cursor: pointer;
            background-color: var(--gray-10);
        }

        .swiper-pagination-bullet-active {
            background-color: var(--primary);
        }
    }

    &__image {
        display: block;
        width: 100%;
    }

    &__content {
        flex-grow: 1;
        display: flex;
        flex-direction: column;
        justify-content: flex-end;
    }

    &__info {
        margin-bottom: rem(14);
        display: flex;
        row-gap: rem(3);
        flex-direction: column;
    }

    &__sale {
        margin-top: rem(4);
        display: flex;
        align-items: center;
    }

    &__tag {
        top: 0;
        left: 0;
        z-index: 20;
        height: rem(20);
        padding: rem(2) rem(6);
        font-weight: 600;
        font-size: rem(11);
        line-height: rem(12);
        position: absolute;
        border-radius: rem(4);
        text-transform: uppercase;
        display: flex;
        align-items: center;

        &--red {
            color: white;
            border: 1px solid var(--red);
            background-color: #E24747;
        }
    }

    .btn-sm {
        min-height: rem(28);
        padding: rem(2) rem(15);
    }

    .quantity {
        height: 28px;

        &__input {
            height: 28px;
            padding: 6px 24px;
        }

        &__button {
            width: 28px;
            height: 28px;
        }
    }

    .btn-cart {
        width: 28px;
        height: 28px;
    }

    @include media-breakpoint-up(md) {
        box-shadow: none;
        transition: var(--transition-time);

        &__main {
            padding-top: rem(14);
            min-height: rem(120);
        }

        &__content {
            padding-top: rem(22);
        }

        &__media {
            justify-content: flex-start;
        }

        .btn-sm {
            min-height: rem(32);
            padding: rem(4) rem(15);
        }

        .quantity {
            height: 32px;

            &__input {
                height: 32px;
                padding: 8px 24px;
            }

            &__button {
                width: 32px;
                height: 32px;
            }
        }

        .btn-cart {
            width: 32px;
            height: 32px;
        }
    }

    @include media-breakpoint-up(xl) {

        &__title {
            font-size: rem(13);
            line-height: rem(20);
        }

        &__main {
            min-height: rem(140);
        }

        &:hover {
            z-index: 50;
            position: relative;
            background-color: white;
            box-shadow: var(--shadow);
            transition: var(--transition-time);

            .item__media {

                .swiper-pagination {
                    opacity: 1;
                    visibility: visible;
                    transition: var(--transition-time);
                }

            }
        }
    }

    @include media-breakpoint-up(xxl) {

    }
}

.item-info {
    font-size: rem(12);
    line-height: rem(16);
    display: flex;
    white-space: nowrap;
    align-items: center;

    &__label {
        width: rem(78);
        flex-shrink: 0;
        color: var(--gray-40);
    }
}

.item-price {
    font-weight: 600;
    font-size: rem(15);
    line-height: rem(24);
    white-space: nowrap;
}

.item-sale {
    white-space: nowrap;
    display: flex;
    column-gap: rem(6);
    align-items: center;

    &__price {
        font-size: rem(13);
        line-height: rem(20);
        color: var(--gray-50);
        text-decoration: line-through;
    }

    &__discount {
        height: rem(18);
        font-weight: 600;
        font-size: rem(11);
        line-height: rem(12);
        border-radius: rem(2);
        border: 1px solid #F2CB00;
        padding: rem(2) rem(4);
        background-color: var(--yellow);
        display: flex;
        align-items: center;
    }
}

.item-get {
    padding: 0;
    border: none;
    outline: none;
    cursor: pointer;
    fill: var(--blue);
    color: var(--blue);
    white-space: nowrap;
    text-decoration: underline;
    background-color: transparent;
    font-size: rem(11);
    line-height: rem(16);
    display: inline-flex;
    column-gap: rem(4);
    align-items: center;

    i {
        font-size: 0;
        line-height: 0;
        height: rem(16);
        flex-shrink: 0;
        display: inline-block;
    }

    &:hover {
        fill: var(--blue);
        color: var(--blue);
        text-decoration: none;
    }
}

.btn-add {
    margin: 0;
    padding: 0;
    border: none;
    outline: none;
    font-size: 0;
    line-height: 0;
    display: block;
    width: rem(20);
    height: rem(20);
    cursor: pointer;
    position: relative;
    fill: var(--gray-40);
    background-color: transparent;
    transition: var(--transition-time);

    &:hover {
        fill: var(--blue);
        transition: var(--transition-time);
    }

    &.added {
        fill: var(--blue);
    }

    &--favorite {

        &:hover {
            fill: var(--red);
        }

        &.added {
            fill: var(--red);

            &:before {
                top: 0;
                left: 0;
                right: 0;
                bottom: 0;
                content: '';
                position: absolute;
                background-image: url("data:image/svg+xml,%3Csvg width='20' height='20' viewBox='0 0 20 20' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M16.9987 10.6826V10.7008C16.9987 10.7008 13.0753 14.2912 11.79 15.4826C11.7685 15.5035 11.7446 15.5216 11.7187 15.5364C11.4133 15.7668 11.0422 15.8875 10.6631 15.8797C10.2659 15.8879 9.87863 15.7517 9.56998 15.4951C9.53571 15.4751 9.50417 15.4505 9.47623 15.422C8.13842 14.1845 4.35843 10.7316 4.35843 10.7316V10.7133C3.95072 10.2961 3.63074 9.79759 3.41827 9.24854C3.2058 8.6995 3.10534 8.1116 3.1231 7.52118C3.14085 6.93075 3.27646 6.35032 3.52152 5.81576C3.76659 5.28119 4.11591 4.80383 4.54792 4.41317C4.97992 4.02251 5.48542 3.72684 6.03322 3.54443C6.58101 3.36202 7.15945 3.29675 7.73281 3.35264C8.30616 3.40852 8.86228 3.58438 9.36677 3.86935C9.87125 4.15433 10.3134 4.54236 10.6659 5.00949C11.0175 4.54465 11.4581 4.15839 11.9604 3.8744C12.4628 3.59041 13.0164 3.41467 13.5874 3.35798C14.1584 3.30128 14.7346 3.36482 15.2808 3.54469C15.8269 3.72457 16.3315 4.017 16.7635 4.40402C17.1955 4.79105 17.5459 5.26451 17.7932 5.79539C18.0404 6.32627 18.1794 6.90336 18.2014 7.49126C18.2234 8.07916 18.1281 8.66548 17.9213 9.21426C17.7145 9.76303 17.4005 10.2627 16.9987 10.6826ZM13.9509 5.28835C13.4036 5.2884 12.8727 5.47994 12.4459 5.83134C12.019 6.18274 11.7219 6.67297 11.6034 7.22103C11.6034 7.47605 11.5046 7.72062 11.3288 7.90094C11.153 8.08127 10.9146 8.18257 10.6659 8.18257C10.4173 8.18257 10.1788 8.08127 10.003 7.90094C9.82721 7.72062 9.72843 7.47605 9.72843 7.22103C9.60808 6.67443 9.30983 6.18615 8.88279 5.83661C8.45576 5.48706 7.9254 5.29708 7.37904 5.29796C6.91548 5.29691 6.46204 5.43689 6.07604 5.70017C5.69005 5.96346 5.38882 6.33823 5.2105 6.77709C5.03218 7.21595 4.98477 7.6992 5.07423 8.16571C5.16369 8.63223 5.38603 9.06106 5.71312 9.39796L5.70094 9.41623L10.6659 14.048L15.5212 9.48161C15.5606 9.44411 15.6019 9.40949 15.6394 9.3691L15.6881 9.32391L15.6825 9.31623C15.9919 8.97262 16.1966 8.54371 16.2713 8.08232C16.3461 7.62092 16.2876 7.14718 16.1032 6.71941C15.9188 6.29165 15.6164 5.92853 15.2334 5.67477C14.8503 5.42102 14.4032 5.28769 13.9472 5.29122L13.9509 5.28835Z' fill='%23D80A0A'/%3E%3Cpath d='M13.9509 5.28835C13.4036 5.2884 12.8727 5.47994 12.4459 5.83134C12.019 6.18274 11.7219 6.67297 11.6034 7.22103C11.6034 7.47605 11.5046 7.72062 11.3288 7.90094C11.153 8.08127 10.9146 8.18257 10.6659 8.18257C10.4173 8.18257 10.1788 8.08127 10.003 7.90094C9.82721 7.72062 9.72843 7.47605 9.72843 7.22103C9.60808 6.67443 9.30983 6.18615 8.88279 5.83661C8.45576 5.48706 7.9254 5.29708 7.37904 5.29796C6.91548 5.29691 6.46204 5.43689 6.07604 5.70017C5.69005 5.96346 5.38882 6.33823 5.2105 6.77709C5.03218 7.21595 4.98477 7.6992 5.07423 8.16571C5.16369 8.63223 5.38603 9.06106 5.71312 9.39796L5.70094 9.41623L10.6659 14.048L15.5212 9.48161C15.5606 9.44411 15.6019 9.40949 15.6394 9.3691L15.6881 9.32391L15.6825 9.31623C15.9919 8.97262 16.1966 8.54371 16.2713 8.08232C16.3461 7.62092 16.2876 7.14718 16.1032 6.71941C15.9188 6.29165 15.6164 5.92853 15.2334 5.67477C14.8503 5.42102 14.4032 5.28769 13.9472 5.29122L13.9509 5.28835Z' fill='%23D80A0A'/%3E%3C/svg%3E");
                background-position: 50% 50%;
                background-repeat: no-repeat;
                background-size: cover;
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &:after {
            z-index: 20;
            content: attr(data-message-base);
            left: rem(-40);
            top: calc(100% + 8px);
            min-height: rem(28);
            font-size: rem(12);
            line-height: rem(16);
            position: absolute;
            white-space: nowrap;
            color: var(--gray-50);
            border-radius: rem(4);
            padding: rem(4) rem(12);
            background-color: white;
            box-shadow: var(--shadow);
            display: flex;
            align-items: center;
            opacity: 0;
            visibility: hidden;
        }

        &.added {

            &:after {
                content: attr(data-message-active);
            }
        }

        &:hover {

            &:after {
                opacity: 1;
                visibility: visible;
            }
        }
    }
}

.item-cart {
    position: relative;

    &__added {
        display: flex;
        column-gap: rem(4);
        align-items: center;
        opacity: 0;
        visibility: hidden;
    }

    &__button {
        top: 0;
        left: 0;
        right: 0;
        z-index: 20;
        position: absolute;

        .btn {
            width: 100%;
        }
    }

    &__quantity {
        flex-grow: 1;
    }

    &.added {

        .item-cart {

            &__button {
                opacity: 0;
                visibility: hidden;
            }

            &__added {
                opacity: 1;
                visibility: visible;
            }
        }
    }

    &--xs {

        .btn-cart {
            width: 28px;
            height: 28px;

            i {
                width: 16px;
                height: 16px;
            }
        }

        .quantity {
            height: 28px;

            &__input {
                height: 28px;
                padding: 5px 20px;
            }

            &__button {
                width: 20px;
                height: 28px;
                background-color: transparent;
            }
        }
    }
}

.item-list {
    padding: rem(14);
    font-size: rem(12);
    line-height: rem(16);
    background-color: white;
    border: 1px solid var(--gray-10);
    border-top: none;
    display: grid;
    align-items: center;
    grid-column-gap: rem(8);
    grid-template-columns:  rem(90) 1fr rem(80) rem(80) rem(80) rem(80) rem(120) rem(120);

    &:hover {
        z-index: 10;
        position: relative;
        background-color: white;
        box-shadow: var(--shadow);
        transition: var(--transition-time);

        .item-list__media {
            .swiper-pagination {
                opacity: 1;
                visibility: visible;
                transition: var(--transition-time);
            }
        }
    }

    &__media {
        position: relative;
        padding: rem(6);

        .swiper-slide {
            padding-bottom: rem(10);
        }

        .swiper-pagination {
            bottom: 0;
            column-gap: rem(6);
            opacity: 0;
            visibility: hidden;
            transition: .25s;
        }

        .swiper-pagination-bullet {
            width: rem(6);
            height: rem(6);
            cursor: pointer;
            background-color: var(--gray-10);
        }

        .swiper-pagination-bullet-active {
            background-color: var(--primary);
        }
    }

    &__image {
        display: block;
    }

    &__main {
        display: flex;
        row-gap: rem(3);
        flex-direction: column;
    }

    &__title {
        color: var(--gray-80);
        font-weight: 600;
        font-size: rem(13);
        line-height: rem(20);

        a {
            color: var(--gray-80);
            text-decoration: none;

            &:hover {
                color: var(--gray-80);
                text-decoration: none;
            }
        }
    }

    &__info {
        display: flex;
        column-gap: rem(24);
        align-items: center;
    }

    &__article {
        white-space: nowrap;
        color: var(--gray-50);
    }

    &__content {
        display: flex;
        column-gap: rem(24);
        align-items: center;
    }

    &__country {
        white-space: nowrap;
        color: var(--gray-50);
    }

    &__adding {
        display: flex;
        column-gap: rem(24);
        align-items: center;
    }

    &__col {
        display: flex;
        row-gap: rem(8);
        justify-content: center;
        flex-direction: column;
    }

    &__tag {
        top: 0;
        left: 0;
        z-index: 20;
        height: rem(20);
        padding: rem(2) rem(6);
        font-weight: 600;
        font-size: rem(11);
        line-height: rem(12);
        position: absolute;
        border-radius: rem(4);
        text-transform: uppercase;
        display: flex;
        align-items: center;

        &--red {
            color: white;
            border: 1px solid var(--red);
            background-color: #E24747;
        }
    }

    .item-price {
        font-size: rem(13);
        line-height: rem(20);
    }

}

.availability-status {
    position: relative;
    white-space: nowrap;
    font-size: rem(12);
    line-height: rem(20);
    display: flex;
    column-gap: rem(4);
    align-items: center;

    &:before {
        width: 6px;
        height: 6px;
        content: '';
        display: block;
        position: relative;
        border-radius: 50%;
        background-color: #D9D9D9;
        flex-shrink: 0;
    }

    &.in-stock {
        color: var(--green);
    }
}
